Package org.apache.commons.collections4.bidimap

# Class AbstractDualBidiMap.EntrySet<K,V>

java.lang.Object
org.apache.commons.collections4.collection.AbstractCollectionDecorator<Map.Entry<K,V>>
org.apache.commons.collections4.bidimap.AbstractDualBidiMap.View<K,V,Map.Entry<K,V>>
org.apache.commons.collections4.bidimap.AbstractDualBidiMap.EntrySet<K,V>

Type Parameters:
  `K` - the type of the keys.
  `V` - the type of the values.

All Implemented Interfaces:
  `Serializable`, `Iterable<Map.Entry<K,V>>`, `Collection<Map.Entry<K,V>>`, `Set<Map.Entry<K,V>>`

Enclosing class:
  `AbstractDualBidiMap<K,V>`

protected static class AbstractDualBidiMap.EntrySet<K,V> extends AbstractDualBidiMap.View<K,V,Map.Entry<K,V>> implements Set<Map.Entry<K,V>>
Inner class EntrySet.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.commons.collections4.bidimap.AbstractDualBidiMap.View

  `parent`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EntrySet(AbstractDualBidiMap<K,V> parent)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Iterator<Map.Entry<K,V>>`
  `iterator()`
  `boolean`
  `remove(Object obj)`

  ### Methods inherited from class org.apache.commons.collections4.bidimap.AbstractDualBidiMap.View

  `clear, equals, hashCode, removeAll, removeIf, retainAll`

  ### Methods inherited from class org.apache.commons.collections4.collection.AbstractCollectionDecorator

  `add, addAll, contains, containsAll, decorated, isEmpty, setCollection, size, toArray, toArray, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.Set

  `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, removeAll, retainAll, size, spliterator, toArray, toArray`

- ## Constructor Details

  - ### EntrySet

    protected EntrySet(AbstractDualBidiMap<K,V> parent)
    Constructs a new instance.
    Parameters:
      `parent` - the parent BidiMap

- ## Method Details

  - ### iterator

    public Iterator<Map.Entry<K,V>> iterator()
    Specified by:
      `iterator` in interface `Collection<K>`
    Specified by:
      `iterator` in interface `Iterable<K>`
    Specified by:
      `iterator` in interface `Set<K>`
    Overrides:
      `iterator` in class `AbstractCollectionDecorator<Map.Entry<K,V>>`

  - ### remove

    public boolean remove(Object obj)
    Specified by:
      `remove` in interface `Collection<K>`
    Specified by:
      `remove` in interface `Set<K>`
    Overrides:
      `remove` in class `AbstractCollectionDecorator<Map.Entry<K,V>>`